package calendarapp.ctrl;

import java.awt.Component;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JLabel;

import calendarapp.gui.CalendarDayButton;
import calendarapp.gui.DayWindow;

/**
 * Controller for CalendarDayButton.
 * @author adamw
 *
 */
// TODO H2: Add a @Singleton annotation.
public class CalendarDayButtonAction implements ActionListener {
	public void actionPerformed(ActionEvent event) {
		CalendarDayButton button = (CalendarDayButton) event.getSource();

		DayWindow w = new DayWindow();

		for (String s : button.getAnnotationStrings()) {
			JLabel label = new JLabel(s);
			label.setAlignmentX(Component.CENTER_ALIGNMENT);
			w.add(label);
		}

		w.setLocationByPlatform(true);
		w.setVisible(true);
	}

}
