package hajo.chl.jme3demo.core;

/**

 @author hajo
 */
public class Wall {

    private final Brick[][] bricks;

    // nBricksHeight = 6, nBricksWidht = 15
    public Wall(int nBricksHeight, int nBricksWidht, float brickLength,
            float brickWidth, float brickHeight) {
        bricks = new Brick[nBricksHeight][nBricksWidht];
        for (int i = 0; i < bricks.length; i++) {
            for (int j = 0; j < bricks[0].length; j++) {
                bricks[i][j] = new Brick(brickLength, brickWidth, brickHeight);
            }
        }
    }

    public Brick[][] getBricks() {
        return bricks;
    }

}
