package edu.chl.hajo.monopoly.core;

import java.util.Random;

/**
 Monopoly specific pair of dices

 @author hajo
 */
public class Dices {

    private static final Random rand = new Random();
    private int first;    // Values for dices
    private int second;
    protected int doubleSixCount = 0;

    public void roll() {
        first = rand.nextInt(6) + 1;
        second = rand.nextInt(6) + 1;
        if(first == second && first == 6){
            doubleSixCount++;
        }
    }

    public int getTotal() {
        return first + second;
    }

    public void reset(){
        doubleSixCount = 0;
        first = 0;
        second = 0;
    }

    public boolean isSpeeding() {
        return doubleSixCount >= 3;
    }
     
}
