package edu.chl.hajo.monopoly.view;

import edu.chl.hajo.monopoly.ctrl.StartCtrl;
import java.awt.FlowLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import javax.swing.JButton;
import javax.swing.JPanel;

/**

 @author hajo
 */
public class MenuPanel extends JPanel implements ActionListener {

    private final MainWindow mainWindow;
    private final JButton start = new JButton("Start");

    MenuPanel(MainWindow mainWindow) {
        this.mainWindow = mainWindow;
        initGUI();
        initEvent();
    }

    @Override
    public void actionPerformed(ActionEvent e) {
        // Only one command for now
        new StartCtrl(mainWindow).execute();
    }

    private void initGUI() {
        this.setLayout(new FlowLayout(FlowLayout.LEFT));
        this.add(start);
    }

    private void initEvent() {
        start.addActionListener(this);
    }
}
