package edu.chl.basixFX.model;


import edu.chl.basixFX.events.MessageChangeEvt;
import lombok.Getter;
import lombok.Setter;

import static edu.chl.basixFX.Main.BUS;

/**
*  A simple class emulating a complete model
 */
public class Model {

    private String msg = "Hmmm";
    @Setter
    @Getter
    private int someValue = 1;  // This uses Lombok annotations to generate get/set methods

    public void setMsg(String msg) {
        this.msg = msg;
        // State change inform view (if applicable)
        BUS.post(new MessageChangeEvt(msg));
    }


}
