package hajo.chl.jme3demo.core;

/**

 @author hajo
 */
public class Model {

    /** dimensions used for bricks and wall */
    public static final int nBricksWidth = 6;
    public static final int nBricksHeight = 15;
    public static final float brickLength = 0.48f;
    public static final float brickWidth = 0.24f;
    public static final float brickHeight = 0.12f;

    //private final CanonBall ball = new CanonBall(0.4f);
    private final Canon canon = new Canon(0.4f);
    private final Wall wall;

    public Model() {
        wall = new Wall(nBricksHeight, nBricksWidth, brickLength, brickWidth, brickHeight);
    }

    public CanonBall fire() {
        return canon.fire();
    }

    public Wall getWall() {
        return wall;
    }

    public void update() {
        // Not implemented
    }

}
