package xmlrpc;


/**
 * Local representation of the client (at serverside). Converting object-calls 
 * to low level XML-RPC calls. Inverse of ClientAdapter
 * 
 * @author hajo
 * 
 */
public class ClientProxy  {

	private Sender sender;
	
	public ClientProxy(String clientURI) {
		sender = new Sender(clientURI);
	}

	// This should get an object and (not String and int (just a demo))
	// Decompose the object and send the data as primitive types.
	public void doIt(String s, int i) {
		System.out.println("ClientProxy.doIt" + s + "i" +i);
		Object[] params = new Object[] { s, i};
		// SPELLING !!!
		sender.call("client.doIt", params);

	}
}
