package xmlrpc;


/**
 * Local representation of the server (at client side).
 * Converting object-calls to low level XML-RPC calls.
 * Inverse of ServerAdapter
 * 
 * @author hajo
 *
 */
public class ServerProxy  {

    private Sender sender;
	public ServerProxy(String serverURI) {
		sender = new Sender(serverURI);
	}

	// This should get an object and (not String and int (just a demo))
    // Decompose the object and send the data as primitive types.
	public void doIt(String s, int i) {
		System.out.println("ServerProxy.doIt " + s + ":"+ i);
		Object[] params = new Object[] { s, i };
		// SPELLING !!!
		sender.call("server.doIt", params);
	}

}
